Skip to main content
GET
/
api
/
v1
/
checkouts
List Checkouts
curl --request GET \
  --url https://business.coinbase.com/api/v1/checkouts \
  --header 'Authorization: Bearer <token>'
{
  "checkouts": [
    {
      "id": "68f7a946db0529ea9b6d3a12",
      "url": "https://payments.coinbase.com/payment-links/pl_01h8441j23abcd1234567890ef",
      "amount": "100.50",
      "currency": "USDC",
      "network": "base",
      "address": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e",
      "createdAt": "2024-03-20T10:30:00Z",
      "updatedAt": "2024-03-20T10:30:00Z",
      "status": "ACTIVE",
      "tokenAddress": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",
      "description": "Payment for order #12345",
      "expiresAt": "2024-03-20T10:30:00Z",
      "metadata": {
        "invoiceId": "12345",
        "reference": "Payment for invoice #12345",
        "customerId": "cust_abc123"
      },
      "successRedirectUrl": "https://example.com/success",
      "failRedirectUrl": "https://example.com/failed",
      "settlement": {
        "totalAmount": "100.00",
        "feeAmount": "1.25",
        "netAmount": "98.75",
        "currency": "USDC"
      },
      "fiatAmount": "100.00",
      "fiatCurrency": "USD",
      "transactionHash": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
      "refundedAmount": "25.00",
      "refunds": [
        {
          "id": "<string>",
          "checkoutId": "<string>",
          "amount": "<string>",
          "status": "PENDING",
          "createdAt": "2024-03-20T10:30:00Z",
          "currency": "USDC",
          "reason": "<string>",
          "transactionHash": "<string>",
          "completedAt": "2024-03-20T10:30:00Z",
          "fiatAmount": "<string>",
          "fiatCurrency": "<string>",
          "exchangeRate": "<string>"
        }
      ]
    }
  ],
  "nextPageToken": "eyJsYXN0X2lkIjogImFiYzEyMyIsICJ0aW1lc3RhbXAiOiAxNzA3ODIzNzAxfQ=="
}

Authorizations

Authorization
string
header
required

A JWT signed using your CDP API Key Secret, encoded in base64. Refer to the Generate Bearer Token section of our Authentication docs for information on how to generate your Bearer Token.

Query Parameters

pageSize
integer
default:20

The number of items to return per page.

Required range: 1 <= x <= 100
pageToken
string

The token for the next page of items. This should only be populated using the nextPageToken value from the previous response.

status
enum<string>

Filter by checkout status. The status of the payment.

  • ACTIVE The payable endpoint is active and can accept payments.
  • PROCESSING The payment is being processed.
  • DEACTIVATED The payable endpoint has been manually deactivated.
  • EXPIRED The payable endpoint has expired based on the expiresAt timestamp.
  • COMPLETED The payable endpoint has been successfully paid.
  • FAILED The payment has failed due to a payment error.
  • REFUNDED The payment has been fully refunded.
  • PARTIALLY_REFUNDED The payment has been partially refunded.
Available options:
ACTIVE,
PROCESSING,
DEACTIVATED,
EXPIRED,
COMPLETED,
FAILED,
REFUNDED,
PARTIALLY_REFUNDED
Example:

"ACTIVE"

Response

Checkouts retrieved successfully.

checkouts
object[]
required
nextPageToken
string

The token for the next page of items, if any.

Example:

"eyJsYXN0X2lkIjogImFiYzEyMyIsICJ0aW1lc3RhbXAiOiAxNzA3ODIzNzAxfQ=="